﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;
using System.Linq;
using System.ServiceProcess;

namespace IVRJunctionSynchronizationService
{
    [RunInstaller(true)]
    public partial class IVRJunctionSynchronizationInstaller : System.Configuration.Install.Installer
    {
        public IVRJunctionSynchronizationInstaller()
        {
            InitializeComponent();
            var processInstaller = new ServiceProcessInstaller();
            var serviceInstaller = new ServiceInstaller();

            //set the privileges
            processInstaller.Account = ServiceAccount.User;

            serviceInstaller.DisplayName = "IVR Junction- Synchronization Service";
            serviceInstaller.StartType = ServiceStartMode.Manual;
            serviceInstaller.Description = " This service analyze the moderator actions on YouTube Channel."
            + "On the basis of moderators action, audio file corresponding to a video on YouTube uploaded by other branch is downloaded from a cloud " +
            "storage and updated in the local database of the NGO";

            //must be the same as what was set in Program's constructor
            serviceInstaller.ServiceName = "IVR Junction- Synchronization Service";
            serviceInstaller.DelayedAutoStart = true;

            this.Installers.Add(processInstaller);
            this.Installers.Add(serviceInstaller);

        }
    }
}
