﻿
<%@ Page Title="IVR Junction Configuration" Language="C#" MasterPageFile="~/IVRJunctionUI.Master" AutoEventWireup="true" CodeBehind="ConfigureOptions.aspx.cs" Inherits="IVRJunctionUI.ConfigureOptions" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder" runat="server">
 <center>
        <h2> Configuration Page </h2>
    </center>
    <br />
    <asp:ValidationSummary ID="ValidationSummary1" runat="server" ForeColor="Red" BackColor="Yellow"
        HeaderText="There are errors on the page:" />
    <asp:Panel ID="PanelIVRJunctionConfig" runat="server" BorderStyle="Solid" BackColor="#EBEBEB"
        Visible="true">
        <br />
        &nbsp;&nbsp;
        <asp:Label ID="LabelIVRJunctionConfig" runat="server" Font-Bold="True" Text="IVR Junction Configuration Options"></asp:Label>
        <br />
        <asp:Table ID="TableIVRJunctionConfig" runat="server" CellSpacing="20">
            <asp:TableRow ID="TableRow1" runat="server">
                <asp:TableCell ID="TableCell1" runat="server">
                    Choose the moderation channel
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="Please select the desired moderation channel"
                        ControlToValidate="ListModerationType" Font-Bold="true" ForeColor="Red">*</asp:RequiredFieldValidator>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow ID="TableRow2" runat="server">
                <asp:TableCell ID="TableCell2" runat="server">
                    <asp:RadioButtonList ID="ListModerationType" runat="server" RepeatDirection="Horizontal"
                        AutoPostBack="true">
                        <asp:ListItem Value="0">Offline</asp:ListItem>
                        <asp:ListItem Value="1">Online</asp:ListItem>
                    </asp:RadioButtonList>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow ID="TableRowSyncBranch" runat="server" Visible="false">
                <asp:TableCell ID="TableCell3" runat="server">
                    Do you want to configure synchronization among geographically dispersed branches
                    of NGO?
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="Please select appropriate option for synchrnoization of geographically dispersed branches"
                        ControlToValidate="ListSyncBranch" Font-Bold="true" ForeColor="Red">*</asp:RequiredFieldValidator>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow ID="TableRowSyncBranchOption" runat="server" Visible="false">
                <asp:TableCell ID="TableCell4" runat="server">
                    <asp:RadioButtonList ID="ListSyncBranch" runat="server" RepeatDirection="Horizontal"
                        AutoPostBack="true">
                        <asp:ListItem Value="0">Yes</asp:ListItem>
                        <asp:ListItem Value="1">No</asp:ListItem>
                    </asp:RadioButtonList>
                </asp:TableCell>
            </asp:TableRow>


            <asp:TableRow ID="TableRowNeedFacebook" runat="server" Visible="false">
                <asp:TableCell ID="TableCell5" runat="server">
                    Do you want to configure your audio files to be posted on a facebook account?
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="Please select appropriate option for Facebook configuration"
                        ControlToValidate="ListNeedFacebook" Font-Bold="true" ForeColor="Red">*</asp:RequiredFieldValidator>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow ID="TableRowFacebookOption" runat="server" Visible="false">
                <asp:TableCell ID="TableCell6" runat="server">
                    <asp:RadioButtonList ID="ListNeedFacebook" runat="server" RepeatDirection="Horizontal"
                        AutoPostBack="true">
                        <asp:ListItem Value="0">Yes</asp:ListItem>
                        <asp:ListItem Value="1">No</asp:ListItem>
                    </asp:RadioButtonList>
                </asp:TableCell>
            </asp:TableRow>
        </asp:Table>
    </asp:Panel>
    <br />
    <asp:Panel ID="PanelSubmitForm" runat="server">
        &nbsp;&nbsp;
        <asp:Button ID="ButtonSubmit" runat="server" Text="Submit" 
            OnClick="ButtonSubmit_Click" Style="height: 26px" />
    </asp:Panel>
 </asp:Content>
